AMCLOdom Class Reference
Inheritance diagram for AMCLOdom:

## Public Member Functions

| AMCLOdom (AdaptiveMCL &aAMCL, player_devaddr_t addr)
virtual int | Load (ConfigFile *cf, int section)
virtual int | Unload (void)
virtual int | Setup (void)
virtual int | Shutdown (void)
virtual int | ProcessMessage (QueuePointer &resp_queue, player_msghdr *hdr, void *data)
virtual bool | UpdateAction (pf_t *pf, AMCLSensorData *data)
Public Member Functions inherited from AMCLSensor
| AMCLSensor (AdaptiveMCL &aAMCL)
virtual bool | InitSensor (pf_t *pf, AMCLSensorData *data)
virtual bool | UpdateSensor (pf_t *pf, AMCLSensorData *data)

## Static Public Member Functions

static void | ActionModel (AMCLOdom *self, pf_sample_set_t *set)

## Private Attributes

player_devaddr_t | odom_addr
Device * | odom_dev
double | time
pf_matrix_t | drift
pf_pdf_gaussian_t * | action_pdf

## Additional Inherited Members

Public Attributes inherited from AMCLSensor
bool | is_action
pf_vector_t | pose
Protected Attributes inherited from AMCLSensor
AdaptiveMCL & | AMCL

The documentation for this class was generated from the following files:

- amcl_odom.h
- amcl_odom.cc

Last updated 12 September 2005 21:38:45